From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 12 October 2005<P>

Misti,<BR>
<BR>
You are absolutely brilliant.
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 12 October 2005<P>

thank you, hairdiva. I certainly don't feel brilliant right now. Beyond making a mess of my life and losing friendships that mattered to me, I can only speak and read English and I can't get a job. I'm sure McDonald's would hire me but I don't particularly want to work in the fast food industry. It's not because I'm a snob. I don't think I could handle the stress. <BR>
<BR>
I'm finally getting my poems accepted at different online zines. Just got an acceptance today from Misanthropists Anonymous. I'm happy about that. My big fat rainbow dream is to someday get a book of my poems published. I know I'll never make a living at it.<BR>
<BR>
You write like someone who has class and maturity. I admire that. I lack those qualities myself.
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 12 October 2005<P>

Is Hablo-ing Espanol now pretty much a requirement for fast food work?  I'm surprised at how prevelant it is, even in areas that don't seem to have an obvious big Latino presence. (and if it's that way in New England, I would guess it would be even more pronounced when in closer proximity to Mexico etc)<BR>
<BR>
I hate to sound like one of those "English-only" folks, but I'm not crazy about that. Maybe mostly because I'm so bad at learning new languages...also the geek in me notices that it's more effecient to standardize on one for public life.<BR>

<HR>
From: <a href="/blend/av.cgi?id=1672">spiritwic</a><BR>
Date: 12 October 2005<P>

Congrats to all the Front-page picks! There were a lot of brilliant works this month!<BR>
<BR>
And Kirk, thanks so much for picking one of mine. I truly appreciate it.<BR>
<BR>
Will be back later with comments on the new stuff, after I have a chance to catch up on it, that is!
<HR>
From: <a href="/blend/av.cgi?id=22">angieubaldo</a><BR>
Date: 12 October 2005<P>

Savannah Haze,<BR>
<BR>
He aint you, really touched me.  I know this feeling all too well.<BR>

<HR>
From: <a href="/blend/av.cgi?id=1511">sassy</a><BR>
Date: 12 October 2005<P>

wistful <a href="/blend/wv.cgi?id=2005.10.12.09.07.29846">Boy Toy</a>  is just BRILLIANT!!!!!!!!  I love this. 
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 12 October 2005<P>

Kirk,<BR>
The fast food jobs in Albuquerque don't require bilingual (which around here means English-Spanish)but a lot of clerical and receptionist want ads specify that they prefer or require bilingual applicants. I was bitter about it for awhile. I've definitely encountered a lot of reverse racism in this community. I just accept it now and am trying to learn fluent Spanish. I don't plan on spending the rest of my life here. I was talking to my husband last night about how most Americans only speak English. I think when Americans are visiting other countries they should at least be able to speak the basics (asking for directions, ordering food, basic courtesies)in French, Spanish, German, whatever. 
<HR>